Bolt has moved to boltapp.com. Stores still using bolt.com hosts must update now: see the migration guide.

Skip to content

Delete a product

View As MarkdownMCP
DELETE
/v1/subscriptions/products/{productId}

Soft deletes a product by its ID. This will cancel all active subscriptions for the product plans.

Authorization

X-API-Key<token>

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard. Send it together with X-Publishable-Key.

In: header

Path Parameters

productId*string

ID of the product to delete.

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/subscriptions/products/sp_Tlj0Osm0N76T"
{  "success": true}